<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xalan="http://xml.apache.org/xalan"
                xmlns:lav="http://software.in2p3.fr/lavoisier/config.xsd"
                xmlns="http://software.in2p3.fr/lavoisier/config.xsd"
                exclude-result-prefixes="xalan lav">
    <xsl:output method="xml" indent="yes" xalan:indent-amount="4"/>
    <xsl:strip-space elements="lav:*"/>

    <xsl:template match="lav:view[(lav:processors/lav:insert | lav:processors/lav:replace)/lav:connector]">
        <xsl:for-each select="(descendant::lav:processors/lav:insert | descendant::lav:processors/lav:replace)[lav:connector]">
            <view post-processors="disable-default-processors">
                <xsl:attribute name="name">
                    <xsl:value-of select="ancestor::lav:view/@name"/>
                    <xsl:apply-templates select="ancestor-or-self::lav:*" mode="POSITION"/>
                </xsl:attribute>
                <xsl:copy-of select="ancestor::lav:view/@*[not(local-name()='name' or local-name()='post-processors')]"/>
                <xsl:copy-of select="ancestor::lav:view/lav:namespace"/>
                <info>
                    <category>Hidden</category>
                </info>
                <xsl:copy-of select="ancestor::lav:view/lav:argument"/>
                <xsl:apply-templates select="*"/>
            </view>
        </xsl:for-each>
        <xsl:copy><xsl:copy-of select="@*"/>
            <xsl:apply-templates select="* | text() | comment()"/>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="lav:processors/lav:*[(self::lav:insert | self::lav:replace)/lav:connector]">
        <xsl:copy><xsl:copy-of select="@*"/>
            <xsl:attribute name="nodes">
                <xsl:text>view_post(concat('</xsl:text>
                <xsl:value-of select="ancestor::lav:view/@name"/>
                <xsl:apply-templates select="ancestor-or-self::lav:*" mode="POSITION"/>
                <xsl:text>',path(false())), match(), arguments())</xsl:text>
            </xsl:attribute>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="lav:processors/lav:*[(self::lav:insert | self::lav:replace)/lav:connector]" mode="POSITION">
        <xsl:text>_</xsl:text>
        <xsl:value-of select="count(preceding-sibling::lav:*[lav:connector])"/>
    </xsl:template>
    <xsl:template match="lav:*" mode="POSITION"/>

    <!-- default rules -->
    <xsl:template match="@*">
        <xsl:copy-of select="."/>
    </xsl:template>
    <xsl:template match="*">
        <xsl:copy>
            <xsl:apply-templates select="@*|*|text()|comment()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>