<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:lav="http://software.in2p3.fr/lavoisier/config.xsd"
                xmlns="http://software.in2p3.fr/lavoisier/config.xsd">
    <!-- This template creates a XSLT operation -->
    <xsl:template match="lav:view-template[contains(@stylesheet,'XSLTOperationTemplate.xsl')]">
        <xsl:variable name="excluded_categories" select="lav:parameter[@name='excluded_categories']/text()"/>
        <view><xsl:copy-of select="@*[not(local-name()='stylesheet')] | lav:*[not(self::lav:parameter)]"/>
            <info>
                <category>Hidden</category>
            </info>
            <connector type="XSLTConnector">
                <parameter name="stylesheet" eval="post()"/>
                <parameter name="input">&lt;_/&gt;</parameter>
                <parameter name="documents">
                    <xsl:for-each select="/lav:config/lav:*
                            [self::lav:view or self::lav:view-template]
                            [@name]
                            [not(contains(@stylesheet,'XSLTOperationTemplate.xsl'))]
                            [not(@authorized)]
                            [not(contains($excluded_categories, concat('|',lav:info/lav:category/text(),'|')))]">
                        <entry key="{@name}" eval="view('{@name}')"/>
                    </xsl:for-each>
                </parameter>
            </connector>
        </view>
    </xsl:template>
</xsl:stylesheet>