<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:cfg="http://software.in2p3.fr/lavoisier/config.xsd"
                xmlns="http://software.in2p3.fr/lavoisier/config.xsd"
                exclude-result-prefixes="cfg">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
    <xsl:variable name="VERSION">3</xsl:variable>

    <xsl:template match="cfg:view[@contentType | @encoding | cfg:pre-renderers/@stylesheet]">
        <xsl:copy>
            <xsl:apply-templates select="@*[not(local-name()='contentType') or local-name()='encoding']"/>
            <xsl:apply-templates/>
            <renderers>
                <xsl:if test="cfg:pre-renderers/@stylesheet">
                    <xsl:attribute name="html">
                        <xsl:value-of select="cfg:pre-renderers/@stylesheet"/>
                    </xsl:attribute>
                </xsl:if>
                <xsl:if test="@contentType | @encoding">
                    <renderer type="DefaultRenderer">
                        <xsl:if test="@contentType">
                            <parameter name="contentType"><xsl:value-of select="@contentType"/></parameter>
                        </xsl:if>
                        <xsl:if test="@encoding">
                            <parameter name="encoding"><xsl:value-of select="@encoding"/></parameter>
                        </xsl:if>
                    </renderer>
                </xsl:if>
            </renderers>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="cfg:pre-renderers[@stylesheet][cfg:*]">
        <xsl:copy>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="cfg:pre-renderers[@stylesheet][not(cfg:*)]"/>

    <!-- common -->
    <xsl:template match="/cfg:config/@version">
        <xsl:attribute name="version">
            <xsl:value-of select="$VERSION"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@* | comment()" priority="-1">
        <xsl:copy-of select="."/>
    </xsl:template>
    <xsl:template match="*" priority="-1">
        <xsl:copy><xsl:apply-templates select="@*"/>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>