<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xalan="http://xml.apache.org/xalan" xmlns:render="http://software.in2p3.fr/lavoisier/rendering.xsd" version="1.0">
    <!-- generated by xslRowColumn-2-xslHtml.xsl --><include xmlns="http://www.w3.org/1999/XSL/Transform" href="/resource/xsl/head.xsl"/><include xmlns="http://www.w3.org/1999/XSL/Transform" href="/lavoisier/navbar"/>
    <xsl:output method="html" indent="yes" xalan:indent-amount="4"/>
    <xsl:strip-space elements="*"/><!-- prevents text() function to ignore the text nodes other than 1st one -->
    <xsl:param name="view">Default rendering</xsl:param>

    <xsl:variable name="lower">abcdefghijklmnopqrstuvwxyz</xsl:variable>
    <xsl:variable name="UPPER">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>

    <xsl:variable name="map2">map2</xsl:variable>
    <xsl:key name="map2" match="/*/*" use="concat('{',namespace-uri(),'}',local-name())"/>

    <xsl:variable name="hasContent">hasContent</xsl:variable>
    <xsl:key name="hasContent" match="/*/*[@*|text()|*/text()]" use="concat('{',namespace-uri(),'}',local-name())"/>

    <xsl:variable name="map3">map3</xsl:variable>
    <xsl:key name="map3" match="/*/*[key('map2',concat('{',namespace-uri(),'}',local-name()))[2]]/*" use="concat('{',namespace-uri(parent::*),'}',local-name(parent::*),'{',namespace-uri(),'}',local-name())"/>

    <xsl:variable name="isMulti">isMulti</xsl:variable>
    <xsl:key name="isMulti" match="/*/*[key('map2',concat('{',namespace-uri(),'}',local-name()))[2]]                     /*[namespace-uri(following-sibling::*)=namespace-uri() and local-name(following-sibling::*)=local-name()]" use="concat('{',namespace-uri(parent::*),'}',local-name(parent::*),'{',namespace-uri(),'}',local-name())"/>

    <xsl:template match="/">
        <x:html xmlns:x="http://www.w3.org/1999/xhtml"><head xmlns="http://www.w3.org/1999/xhtml"><title><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="$view"/></title><style type="text/css">
            h2            {text-align : center;}
            TD             {text-align: left;}
            TD.number      {text-align: right;}
        </style><call-template xmlns="http://www.w3.org/1999/XSL/Transform" name="head"/></head><body data-spy="scroll" data-target=".subnav" data-offset="50" xmlns="http://www.w3.org/1999/xhtml"><call-template xmlns="http://www.w3.org/1999/XSL/Transform" name="navbar"/><div class="container fluid"><div class="page-title"><h2><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="$view"/></h2></div><div style="margin-top:50px">
            <xsl:variable name="level1_mono" select="/*"/>
            <xsl:variable name="level2_mono" select="/*/*[not(key($map2,concat('{',namespace-uri(),'}',local-name()))[2])]"/>
            <xsl:variable name="fields" select="($level1_mono | $level2_mono)[@*|text()]"/>
            <xsl:if test="$fields">
                <ul>
                    <xsl:apply-templates select="$fields | $fields/@*" mode="field"/>
                </ul>
            </xsl:if>

            <xsl:variable name="level2_multi" select="/*/*[key($map2,concat('{',namespace-uri(.),'}',local-name(.)))[2]]                                                           [key($hasContent,concat('{',namespace-uri(.),'}',local-name(.)))[1]]"/>
            <xsl:variable name="level2_text" select="                 $level2_multi[generate-id()=generate-id(key($map2,concat('{',namespace-uri(),'}',local-name()))[text()][1])]             "/>

            <xsl:variable name="level3_mono" select="                 $level2_multi/*[not(key($isMulti,concat('{',namespace-uri(parent::*),'}',local-name(parent::*),'{',namespace-uri(),'}',local-name()))[1])]             "/>
            <xsl:variable name="level3_text" select="                 $level3_mono[generate-id()=generate-id(key($map3,concat('{',namespace-uri(parent::*),'}',local-name(parent::*),'{',namespace-uri(),'}',local-name()))[text()][1])]             "/>
            <table class="table table-bordered table-striped table-sorted table-hover">
                <thead><tr>
                    <th>Position</th>
                    <xsl:apply-templates select="$level2_multi[1]/@*" mode="column_label"/>
                    <xsl:apply-templates select="$level2_text" mode="column_label"/>
                    <xsl:apply-templates select="$level3_text" mode="column_label"/>
                </tr></thead>
                <xsl:for-each select="$level2_multi">
                    <xsl:variable name="row" select="."/>
                    <tr>
                        <xsl:variable name="href">
                            <xsl:text>/lavoisier/</xsl:text>
                            <xsl:value-of select="$view"/>
                            <xsl:for-each select="ancestor-or-self::*">
                                <xsl:text/>/*[local-name()='<xsl:value-of select="local-name()"/>']<xsl:text/>
                            </xsl:for-each>
                            <xsl:text>[</xsl:text>
                            <xsl:value-of select="position()"/>
                            <xsl:text>]</xsl:text>
                        </xsl:variable>
                        <td><a href="{$href}">
                            <xsl:value-of select="position()"/>
                        </a></td>
                        <xsl:apply-templates select="$level2_multi[1]/@*" mode="column">
                            <xsl:with-param name="row" select="$row"/>
                        </xsl:apply-templates>
                        <xsl:apply-templates select="$level2_text" mode="column">
                            <xsl:with-param name="row" select="$row"/>
                        </xsl:apply-templates>
                        <xsl:for-each select="$level3_text">
                            <xsl:variable name="current" select="local-name()"/>
                            <xsl:apply-templates select="." mode="column">
                                <xsl:with-param name="row" select="$row/*[local-name()=$current]"/>
                            </xsl:apply-templates>
                        </xsl:for-each>
                    </tr>
                </xsl:for-each>
            </table>
        </div></div></body></x:html>
    </xsl:template>

    <xsl:template match="/*" mode="field">
        <li xmlns="http://www.w3.org/1999/xhtml"><b><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="local-name()"/>: </b>
            <xsl:value-of select="normalize-space(text())"/>
        </li>
    </xsl:template>
    <xsl:template match="/*/*" mode="field">
        <li xmlns="http://www.w3.org/1999/xhtml"><b><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="local-name()"/>: </b>
            <xsl:value-of select="normalize-space(text())"/>
        </li>
    </xsl:template>
    <xsl:template match="/*/@*" mode="field">
        <li xmlns="http://www.w3.org/1999/xhtml"><b><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="local-name()"/>: </b>
            <xsl:value-of select="."/>
        </li>
    </xsl:template>
    <xsl:template match="/*/*/@*" mode="field">
        <li xmlns="http://www.w3.org/1999/xhtml"><b><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="concat(local-name(parent::*), translate(substring(local-name(),1,1),$lower,$UPPER), substring(local-name(),2))"/>: </b>
            <xsl:value-of select="."/>
        </li>
    </xsl:template>

    <xsl:template match="/*/*" mode="column_label">
        <th xmlns="http://www.w3.org/1999/xhtml">
            <xsl:value-of select="local-name()"/>
        </th>
    </xsl:template>
    <xsl:template match="/*/*/*" mode="column_label">
        <th xmlns="http://www.w3.org/1999/xhtml">
            <xsl:value-of select="concat(local-name(parent::*),'_',local-name())"/>
        </th>
    </xsl:template>
    <xsl:template match="/*/*/@*" mode="column_label">
        <th xmlns="http://www.w3.org/1999/xhtml">
            <xsl:value-of select="concat(local-name(parent::*), translate(substring(local-name(),1,1),$lower,$UPPER), substring(local-name(),2))"/>
        </th>
    </xsl:template>

    <xsl:template match="/*/*" mode="column">
        <xsl:param name="row"/>
        <xsl:variable name="href">
            <xsl:text>/lavoisier/</xsl:text>
            <xsl:value-of select="$view"/>
            <xsl:for-each select="ancestor-or-self::*">
                <xsl:text/>/*[local-name()='<xsl:value-of select="local-name()"/>']<xsl:text/>
            </xsl:for-each>
            <xsl:text>[text()='</xsl:text>
            <xsl:value-of select="$row/text()"/>
            <xsl:text>']</xsl:text>
        </xsl:variable>
        <td xmlns="http://www.w3.org/1999/xhtml"><a href="{$href}">
            <xsl:value-of select="normalize-space($row[namespace-uri()=namespace-uri(current()) and local-name()=local-name(current())]/text())"/>
        </a></td>
    </xsl:template>
    <xsl:template match="/*/*/*" mode="column">
        <xsl:param name="row"/>
        <xsl:variable name="href">
            <xsl:text>/lavoisier/</xsl:text>
            <xsl:value-of select="$view"/>
            <xsl:for-each select="ancestor-or-self::*">
                <xsl:text/>/*[local-name()='<xsl:value-of select="local-name()"/>']<xsl:text/>
            </xsl:for-each>
            <xsl:text>[text()='</xsl:text>
            <xsl:value-of select="$row/text()"/>
            <xsl:text>']</xsl:text>
        </xsl:variable>
        <td xmlns="http://www.w3.org/1999/xhtml"><a href="{$href}">
            <xsl:value-of select="normalize-space($row[namespace-uri()=namespace-uri(current()) and local-name()=local-name(current())]/text())"/>
        </a></td>
    </xsl:template>
    <xsl:template match="/*/*/@*" mode="column">
        <xsl:param name="row"/>
        <xsl:variable name="href">
            <xsl:text>/lavoisier/</xsl:text>
            <xsl:value-of select="$view"/>
            <xsl:for-each select="ancestor-or-self::*">
                <xsl:text/>/*[local-name()='<xsl:value-of select="local-name()"/>']<xsl:text/>
            </xsl:for-each>
            <xsl:text>[@</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>='</xsl:text>
            <xsl:value-of select="$row/@*"/>
            <xsl:text>']</xsl:text>
        </xsl:variable>
        <td xmlns="http://www.w3.org/1999/xhtml"><a href="{$href}">
            <xsl:value-of select="$row/@*[local-name()=local-name(current())]"/>
        </a></td>
    </xsl:template>
</xsl:stylesheet>